- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# bigreq.h

    00001 /*
    00002  * This file generated automatically from bigreq.xml by c-client.xsl using XSLT.
    00003  * Edit at your peril.
    00004  */
    00005
    00012 #ifndef __BIGREQ_H
    00013 #define __BIGREQ_H
    00014
    00015 #include "xcb.h"
    00016
    00017 #define XCB_BIGREQUESTS_MAJOR_VERSION 0
    00018 #define XCB_BIGREQUESTS_MINOR_VERSION 0
    00019
    00020 extern xcb_extension_t xcb_big_requests_id;
    00021
    00025 typedef struct xcb_big_requests_enable_cookie_t {
    00026     unsigned int sequence;
    00027 } xcb_big_requests_enable_cookie_t;
    00028
    00030 #define XCB_BIG_REQUESTS_ENABLE 0
    00031
    00035 typedef struct xcb_big_requests_enable_request_t {
    00036     uint8_t  major_opcode;
    00037     uint8_t  minor_opcode;
    00038     uint16_t length;
    00039 } xcb_big_requests_enable_request_t;
    00040
    00044 typedef struct xcb_big_requests_enable_reply_t {
    00045     uint8_t  response_type;
    00046     uint8_t  pad0;
    00047     uint16_t sequence;
    00048     uint32_t length;
    00049     uint32_t maximum_request_length;
    00050 } xcb_big_requests_enable_reply_t;
    00051
    00052
    00053 /*****************************************************************************
    00054  **
    00055  ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable
    00056  **
    00057  ** @param xcb_connection_t *c
    00058  ** @returns xcb_big_requests_enable_cookie_t
    00059  **
    00060  *****************************************************************************/
    00061
    00062 xcb_big_requests_enable_cookie_t
    00063 xcb_big_requests_enable (xcb_connection_t *c  );
    00064
    00065
    00066 /*****************************************************************************
    00067  **
    00068  ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable_unchecked
    00069  **
    00070  ** @param xcb_connection_t *c
    00071  ** @returns xcb_big_requests_enable_cookie_t
    00072  **
    00073  *****************************************************************************/
    00074
    00075 xcb_big_requests_enable_cookie_t
    00076 xcb_big_requests_enable_unchecked (xcb_connection_t *c  );
    00077
    00078
    00079 /*****************************************************************************
    00080  **
    00081  ** xcb_big_requests_enable_reply_t * xcb_big_requests_enable_reply
    00082  **
    00083  ** @param xcb_connection_t                  *c
    00084  ** @param xcb_big_requests_enable_cookie_t   cookie
    00085  ** @param xcb_generic_error_t              **e
    00086  ** @returns xcb_big_requests_enable_reply_t *
    00087  **
    00088  *****************************************************************************/
    00089
    00090 xcb_big_requests_enable_reply_t *
    00091 xcb_big_requests_enable_reply (xcb_connection_t                  *c  ,
    00092                                xcb_big_requests_enable_cookie_t   cookie  ,
    00093                                xcb_generic_error_t              **e  );
    00094
    00095
    00096 #endif
    00097